#version 120

varying vec4 texcoord;
varying vec4 color;
varying float transitionFactor;

uniform sampler2D texture;

void main() {
    vec4 albedo = texture2D(texture, texcoord.st) * color;
    
    // Apply fade transition
    albedo.a *= 1.0 - transitionFactor;
    
    /* DRAWBUFFERS:0 */
    gl_FragData[0] = albedo;
}
