#version 120

varying vec4 texcoord;
varying vec4 color;
varying float transitionFactor;

uniform float rainStrength;
uniform int worldTime;

void main() {
    gl_Position = ftransform();
    texcoord = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    color = gl_Color;
    
    // Calculate transition factor
    float rainTransition = smoothstep(0.0, 0.1, rainStrength);
    
    float time = float(worldTime);
    float midnightTransition = 1.0 - abs(clamp((time - 18000.0) / 1000.0, -1.0, 1.0));
    midnightTransition = smoothstep(0.0, 1.0, midnightTransition);
    
    transitionFactor = max(rainTransition, midnightTransition);
}
